Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063538 - [ja-JP] change request for docbook tags that italicize text: <emphasis> and <citetitle>
Summary: [ja-JP] change request for docbook tags that italicize text: <emphasis> and <...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Publican
Classification: Community
Component: publican-redhat
Version: 4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lee Newson
QA Contact: Ruediger Landmann
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-11 00:00 UTC by Yuko Katabami
Modified: 2015-10-26 05:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-26 05:19:57 UTC


Attachments (Terms of Use)

Description Yuko Katabami 2014-02-11 00:00:01 UTC
Description of problem:
We would like to request for change in the following two docbook tags for ja-JP.

A. Text enclosed in <emphasis> tags are currently italicized when the document is built but italic does not really work to emphasize text in Japanese language. 

B. Book titles enclosed in <citetitle> tags are currently italicized when the document is built but italicizing book title is not desirable style for Japanese. 


Version-Release number of selected component (if applicable): 4.0


How reproducible: 100%


Steps to Reproduce:
1. Build a book containing those tags, specifying --lang ja-JP option
2. Check how those affected text are displayed in the build

Actual results:
Text is italicized

Expected results:
A. Text enclosed in <emphasis> tags should be in bold
B. Book titles enclosed in <citetitle> tags should be in non-italic + enclosed in a pair of Japanese double quotation marks 『  』

Comment 1 Ruediger Landmann 2014-02-18 06:00:30 UTC
Fixed in publican-redhat-4.3-3, still needs to be implemented in other brands

Comment 2 jito 2014-08-05 00:58:06 UTC
I have just realised that when the text between <citetitle> tags are alphabetic characters (or starts with an alphabet) instead of Japanese characters, the text is italicized. 

For example, <citetitle>Working with the BPM Suite Example App</citetitle> will be italicized instead of being enclosed in the Japanese double quotation marks (I cannot translate this book title, as the Japanese version is not available).

I have also realised that the same happens for <!-- Inject: xxxxx --> tag.  For example, <!-- Inject: 22531 --> has a link to "Hello World プロジェクト" section of the book.  This is rendered in itallic (the whole text including the Japanese characters) instead of being enclosed in the Japanese single quotation marks.

Is this something that can be fixed or do we need to use a workaround?

Thanks Rudi,

Junko

Comment 3 Lee Newson 2015-10-26 05:19:57 UTC
Fixed up the web builds for publican-redhat and made this available to all brands. Yuko verified this via IRC and we've released the updates, so marking this as CLOSED.

Note: The change will only apply to updated builds.
Note 2: Junko re the xref's you mentioned (<!-- Inject: xxxx -->) that is another issue, so please raise another bug if it is still an issue.


Note You need to log in before you can comment on or make changes to this bug.